de.dhbwstuttgart.typeinference.assumptions

## Class ParameterAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.ParameterAssumption

    public class ParameterAssumption
    extends Assumption

ParameterAssumptions reprÃ¤sentieren die Methodenparameter innerhalb des Rumpfes einer Methode.

Author:
  janulrich

### Constructor Summary

Constructors
Constructor and Description
`ParameterAssumption(FormalParameter parameter)`

### Method Summary

### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.Assumption

`getAssumedType, getIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterAssumption

    public ParameterAssumption(FormalParameter parameter)